Module javafx.graphics
Package javafx.css.converter

## Class InsetsConverter

- java.lang.Object
- - javafx.css.StyleConverter<ParsedValue[],​Insets>
  - - javafx.css.converter.InsetsConverter

-     public final class InsetsConverter
      extends StyleConverter<ParsedValue[],​Insets>

  Converts a parsed value array of 1 to 4 size components to an Insets. The size values are interpreted as top, right, bottom, left. If only top is given, that value is used on all sides. If there is only top and right, then bottom is set to top and left is set to right. If top, right and bottom are given, then left is set to right.
  Since:
    9

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `InsetsConverter.SequenceConverter` | Converts an array of parsed values, each of which is an array of 1 to 4 size components, to an array of Insets objects.

    - ### Nested classes/interfaces inherited from class javafx.css.StyleConverter

      `StyleConverter.StringStore`

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Insets` | `convert​(ParsedValue<ParsedValue[],​Insets> value, Font font)` | Convert from the parsed CSS value to the target property type.
    `static StyleConverter<ParsedValue[],​Insets>` | `getInstance()` |
    `String` | `toString()` |

    - ### Methods inherited from class javafx.css.StyleConverter

      `cacheValue, clearCache, convert, getBooleanConverter, getCachedValue, getColorConverter, getDurationConverter, getEffectConverter, getEnumConverter, getFontConverter, getInsetsConverter, getPaintConverter, getSizeConverter, getStringConverter, getUrlConverter, readBinary, writeBinary`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static StyleConverter<ParsedValue[],​Insets> getInstance()

    - #### convert

          public Insets convert​(ParsedValue<ParsedValue[],​Insets> value,
                                Font font)

      Description copied from class: `StyleConverter`
      Convert from the parsed CSS value to the target property type.
      Overrides:
        `convert` in class `StyleConverter<ParsedValue[],​Insets>`
      Parameters:
        `value` - The `ParsedValue` to convert
        `font` - The `Font` to use when converting a relative value.
      Returns:
        the converted target property type

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`